# Interface MapRangeInfoJson

Map Range Information.

See https://developers.arcgis.com/web-scene-specification/objects/mapRangeInfo/.

interface MapRangeInfoJson {
activeRangeName?: string;
currentRangeExtent?: [number, number];
fullRangeExtent?: [number, number];
}

#####
Index

### Properties

activeRangeName?
currentRangeExtent?
fullRangeExtent?

##
Properties

### `Optional` activeRangeName

activeRangeName?: string

Active range ID that slider/picker acts upon.

### `Optional` currentRangeExtent

currentRangeExtent?: [number, number]

Current range for the active range.

### `Optional` fullRangeExtent

fullRangeExtent?: [number, number]

Full range extent for the active range to be presented in the UI.